---
apiVersion: monitoring.coreos.com/v1
kind: ServiceMonitor
metadata:
  creationTimestamp: "2020-05-26T09:46:42Z"
  generation: 1
  managedFields:
  - apiVersion: monitoring.coreos.com/v1
    fieldsType: FieldsV1
    fieldsV1:
      f:metadata:
        f:ownerReferences: {}
      f:spec:
        .: {}
        f:endpoints: {}
        f:namespaceSelector:
          .: {}
          f:matchNames: {}
        f:selector: {}
    manager: dns-operator
    operation: Update
    time: "2020-05-26T09:46:42Z"
  name: dns-default
  namespace: openshift-dns
  ownerReferences:
  - apiVersion: apps/v1
    controller: true
    kind: DaemonSet
    name: dns-default
    uid: 294caab0-bd52-426b-8723-d226b3b0dafb
  resourceVersion: "13458"
  selfLink: /apis/monitoring.coreos.com/v1/namespaces/openshift-dns/servicemonitors/dns-default
  uid: c2b07428-7a1a-49df-928e-648cca2b2316
spec:
  endpoints:
  - bearerTokenFile: /var/run/secrets/kubernetes.io/serviceaccount/token
    interval: 30s
    path: /metrics
    port: metrics
    scheme: https
    tlsConfig:
      caFile: /etc/prometheus/configmaps/serving-certs-ca-bundle/service-ca.crt
      serverName: dns-default.openshift-dns.svc
  namespaceSelector:
    matchNames:
    - openshift-dns
  selector: {}
